> For the complete documentation index, see [llms.txt](https://docs.ventiapp.mx/ventiapp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ventiapp.mx/ventiapp/desarrolladores/api/facturas.md).

# Facturas

## Get Bills

<mark style="color:blue;">`GET`</mark> `https://ventiapi.azurewebsites.net/api/billing/bills`

Este endpoint trae las solicitudes de factura que se han realizado en el período establecido.

#### Query Parameters

| Name    | Type   | Description                                                                               |
| ------- | ------ | ----------------------------------------------------------------------------------------- |
| date    | string | Fecha mínima de la cual se requieren las solicitudes. formato MM/DD/YYYY ej: 06/30/2019   |
| offset  | number | Cantidad de solicitudes salteadas, ejemplo offset = 50 nos traerá de la órden 51 a la 100 |
| paging  | number | Cantidad de items por página, máximo 50 items                                             |
| orderId | number | Identificador de la venta en Ventiapp                                                     |

#### Headers

| Name           | Type   | Description   |
| -------------- | ------ | ------------- |
| Authentication | string | Bearer +token |

## Valores de billType

billType puede tener tres diferentes valores para identificar el tipo de factura:&#x20;

* fact\_most: Factura a mostrador
* nota\_cred: Nota de crédito
* factura:  Factura a cliente

{% tabs %}
{% tab title="200 Solicitudes de factura obtenidas" %}

```javascript
{
    "paging": 50,
    "offset": 0,
    "total": 1,
    "results": [
        {
            "billingDate": "2025-09-09T17:55:31.227",
            "orderId": 45304348,
            "externalReference": "23fa8200-8da6-11f0-90cc-c311d73fc4f4",
            "externalDate": "2025-09-09T17:55:31.223",
            "message": "Factura Genérica",
            "invoice": "45304348",
            "total": 128.2500,
            "cdfi": "S01",
            "bankDigits": "1234",
            "paymentMethod": "06",
            "series": "F",
            "ledgerPage": "7975",
            "taxRegime": "616",
            "billType": "fact_most",
            "customer": {
                "name": "Genérico",
                "businessName": "Genérico",
                "rfc": "XAXX010101000",
                "email": null,
                "phone": "Genérico",
                "billingAddress": "Genérico",
                "billingStreet": "Street",
                "billingInnerNumber": "323",
                "billingOuterNumber": "SN",
                "billingNeighborhood": "Naucalpan",
                "billingCountry": "México",
                "billingState": "Estado de México",
                "billingMunicipality": "Naucalpan",
                "billingZipCode": "13600"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ventiapp.mx/ventiapp/desarrolladores/api/facturas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
